<?php
/*------------------------------------------------------------------------
# "Hot Relief" Joomla template - March, 2011
# Copyright (C) 2011 ArhiNet d.o.o. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined('JPATH_BASE') or die();

class JElementHotColor extends JElement
{
	var	$_name 			= 'HotColor';

	function fetchElement($name, $value, &$node, $control_name)
	{

		$document	= &JFactory::getDocument();
		$option 	= JRequest::getCmd('option');

		// Color Picker
		$document->addScript(JURI::root().'/templates/hot_relief/js/jscolor.js');

		$class = ( $node->attributes('class') ? 'class="'.$node->attributes('class').'"' : 'class="color"' );

        $value = htmlspecialchars(html_entity_decode($value, ENT_QUOTES), ENT_QUOTES);

        $background = ' style="background-color: '.$value.'"';

		$html ='<input type="text" name="'.$control_name.'['.$name.']" id="'.$control_name.$name.'" value="#'.$value.'" '.$class.' '.$size.' '.$background.' '.$onchange.' />';
		
	return $html;
	}

}
?>